2017-07-14 22:00:01 UTC
42 MB
test
DOCKER_VERSION17.06.1-ce-rc1
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:88286f41530e93dffd4b964e1db22ce4939fffa4a4c665dab8591fbab03d4926 - 4.52% (1.9 MB)
[#001] sha256:61bf6059e353ab57887578aa1be4a24bdd7519f63dde8d79b973d67164f3e349 - 0.8% (343 KB)
[#002] sha256:8df96975acc07347c62579f52c51e8c48c3af53508a140d7a5bd3b393bb6c77c - 68.06% (28.6 MB)
[#003] sha256:a3d50017aa3f2a4d0402a5bb7800b75527d1c931ddaa6405214e50047d4c4598 - 0.0% (726 Bytes)
[#004] sha256:57647886b44775b9d4028425207cfab5399e75d628cb0553d7015fef7fbb60bb - 26.63% (11.2 MB)
/bin/sh -c #(nop) ADD file:4583e12bf5caec40b861a3409f2a1624c3f3556cc457edb99c9707f00e779e45 in /
2017-06-27 18:42:16 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2017-06-27 20:22:16 UTC/bin/sh -c apk add --no-cache ca-certificates
2017-06-27 20:22:17 UTC/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test
2017-07-14 21:59:19 UTC/bin/sh -c #(nop) ENV DOCKER_VERSION=17.06.1-ce-rc1
2017-07-14 21:59:26 UTC/bin/sh -c set -ex; apk add --no-cache --virtual .fetch-deps curl tar ; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! curl -fL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; apk del .fetch-deps; dockerd -v; docker -v
2017-07-14 21:59:27 UTC/bin/sh -c #(nop) COPY file:0d94e1cd679f133aab807891a1b00b6aef1a9f1f884108e7a17ddf50ab88f1fb in /usr/local/bin/
2017-07-14 21:59:27 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2017-07-14 21:59:28 UTC/bin/sh -c #(nop) CMD ["sh"]
2017-07-14 22:00:01 UTC/bin/sh -c apk add --no-cache git openssh-client
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.